Subject: Re: bug#59828: Fundamental Mode buffers fail to keep text properties

From: Heime <[email-masked]>
Date: Wed, 07 Dec 2022 00:53:17 +0000

------- Original Message -------
On Tuesday, December 6th, 2022 at 5:41 AM, Yuan Fu <[email-masked]> wrote:

> > > > Just to clarify:
> > > > 
> > > > 1. If font-lock-mode is off, you should use (propertize … ‘face …)
> > > > 2. If font-lock-mode is on, you should use (propertize … ‘font-lock-face …)
> > 
> > If I have a function that does the inserts, should I include the two different conditions,
> > whether "font-lock-mode" in "off" or "on" ?
> > 
> > Test whether font-lock-mode is off, then use (propertize … ‘face …)
> > Test whether font-lock-mode is on, then use (propertize … ‘font-lock-face …)
> 
> 
> It depends on your use-case. If you want to be safe you can just apply both properties, then it will work no matter font-lock-mode is on or not.
> 
> Yuan

I thought that the procedure is to enable "font-lock-mode", then use (propertize … ‘font-lock-face …).

You are saying to disregard "font-lock-mode" and use (propertize … ‘face …) when it is determined that "font-lock-mode" is off.

Can I have a deeper explanation on how to handle this good?